Get branches from vulnerability detections
curl --request GET \
--url https://api-eu.cybedefend.com/project/{projectId}/branchesimport requests
url = "https://api-eu.cybedefend.com/project/{projectId}/branches"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/project/{projectId}/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectId": "550e8400-e29b-41d4-a716-446655440000",
"branches": [
"main",
"develop",
"feature/new-feature"
]
}{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}Manage
Get branches from vulnerability detections
Retrieves distinct branch names found in SAST, SCA, and IAC vulnerability detections. Use this endpoint for projects that are not linked to GitHub or GitLab integrations.
GET
/
project
/
{projectId}
/
branches
Get branches from vulnerability detections
Path Parameters
Project identifier